Skip to main content

VMC Transaction

POST /transactions

Description

Initiate a VMC (Virtual MasterCard) transaction.

Authentication

API Key (X-API-Key)

Request

Headers

HeaderValueRequired
X-API-Key{{apiKey}}Yes
Content-Typeapplication/jsonYes

Request Body

{
"amount": {{amount}},
"paymentProcessorLabel": "{{paymentProcessor}}",
"debitPhone": "+2630773591219",
"debitRegion": "ZW",
"debitCurrency": "{{debitCurrency}}",
"debitRef": "velocityafrica",
"creditPhone": "+263772364284",
"creditRegion": "ZW",
"creditAccount": "263772364284",
"type": "REQUEST",
"authType": "{{authType}}",
"salesOrderId": "{{salesOrderId}}",
"cancelUrl": "https://google.com",
"successUrl": "https://velocityafrica.net"
}
FieldTypeRequiredDescription
amountnumberYesTransaction amount
paymentProcessorLabelstringYesPayment processor identifier
debitPhonestringYesDebit party phone number
debitRegionstringYesDebit party region code
debitCurrencystringYesDebit currency code
debitRefstringYesDebit reference
creditPhonestringYesCredit party phone number
creditRegionstringYesCredit party region code
creditAccountstringYesCredit party account
typestringYesTransaction type (e.g., REQUEST)
authTypestringYesAuthorization type
salesOrderIdstringYesAssociated sales order ID
cancelUrlstringNoCancel redirect URL
successUrlstringNoSuccess redirect URL